<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title">Modifier une pièce de recharge </h4>
                        <p *ngFor=" let c of Arraypiece" class="span"> ID :  {{c.id}} </p>
                    </div>
                    <div>

                    </div>
                    <div>
                        <div class="card-body">

                            <form [formGroup]="form">
                                <div class="row">
                                    <div class="col-md-6">
                                        <span> Libellé pièce </span> <br/>
                                        <mat-form-field class="example-full-width">
                                            <input matInput  formControlName="libelle_piece" type="text">
                                        </mat-form-field>
                                        <span *ngIf="isValid('libelle_piece')"> Champ libelle piece manquant</span>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <span> Quantite </span> <br/>
                                        <mat-form-field class="example-full-width">
                                            <input matInput  formControlName="quantite" type="number">
                                        </mat-form-field>
                                        <span *ngIf="isValid('quantite')"> Champ quantité manquant</span>
                                    </div>
                                    <div class="erreur">{{errorMessage}}</div>
                                </div>
                                <button mat-raised-button type="reset" class="btn btn-danger pull-right" (click)="reset()" >Annuler </button>
                                <button mat-raised-button type="submit" class="btn  btn-success pull-right"
                                        [disabled]="form.invalid" (click)="modifierPiece()">Modifier</button>


                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
